AssociationBox (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class AssociationBox

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.BoxHolder
          edu.harvard.hul.ois.jhove.module.jpeg2000.JP2Box
              edu.harvard.hul.ois.jhove.module.jpeg2000.AssociationBox

All Implemented Interfaces:
  java.util.Iterator<java.lang.Object>

    public class AssociationBox

extends JP2Box

Association Box. An AssociationBox can occur in pretty much any superbox or at the top level. It simply establishes an association between boxes. See ISO/IEC FCD15444-2: 2000, L.9.11

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.JP2Box
`_bytesRead, associations, DESCRIPTION_NAME, noJP2Hdr, startBytesRead`

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.BoxHolder
`_boxHeader, _dstrm, _module, _parentBox, _raf, _repInfo, bytesLeft, filePos, hasBoxes`

Constructor Summary
`AssociationBox(java.io.RandomAccessFile raf, BoxHolder parent)` Constructor with superbox.

Method Summary
`protected java.lang.String` | `getSelfPropName()` Returns the name of the Box.
`boolean` | `readBox()` Reads the box, putting appropriate information in the RepInfo object.
`protected Property` | `selfDescProperty()` Returns a Property which describes the Box, for use by Association boxes and perhaps others.

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.JP2Box
`addAssociation, boxMaker, emptyBox, finalizeBytesRead, getBytesRead, getLength, getSelfPropDesc, init, initBytesRead, makeAssocProperty, setBoxHeader, setDataInputStream, setModule, setRandomAccessFile, setRepInfo, skipBox, wrongBoxContext, wrongBoxSize`

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.BoxHolder
`getFilePos, hasNext, next, remove, superboxOverrun, superboxUnderrun`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssociationBox

    public AssociationBox(java.io.RandomAccessFile raf,
                          BoxHolder parent)

  Constructor with superbox.

  Parameters:
    `parent` - parent superbox of this box or TopLevelBoxHolder

Method Detail

### readBox

    public boolean readBox()
                    throws java.io.IOException

  Reads the box, putting appropriate information in the RepInfo object. setModule, setBoxHeader, setRepInfo and setDataInputStream must be called before `readBox` is called. `readBox` must completely consume the box, so that the next byte to be read by the DataInputStream is the `FF` byte of the next Box.

  Specified by:
    `readBox` in class `JP2Box`
  Throws:
    `java.io.IOException`

### selfDescProperty

    protected Property selfDescProperty()

  Returns a Property which describes the Box, for use by Association boxes and perhaps others. An Association box can recursively contain other Association boxes. Since an Association box adds Association properties to its ancestors, This just returns null to avoid duplicate reporting.

  Overrides:
    `selfDescProperty` in class `JP2Box`

### getSelfPropName

    protected java.lang.String getSelfPropName()

  Returns the name of the Box.

  Overrides:
    `getSelfPropName` in class `JP2Box`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD